<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE generatorConfiguration PUBLIC
        "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN"
        "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd" >
<generatorConfiguration>

    <!-- !!!! Driver Class Path !!!! -->
    <!--<classPathEntry location="/Users/shaoqiang/.m2/repository/com/hynnet/oracle-driver-ojdbc6/12.1.0.1/oracle-driver-ojdbc6-12.1.0.1.jar"/>-->

    <classPathEntry location="C:\Users\Administrator\.m2\repository\com\hynnet\oracle-driver-ojdbc6\12.1.0.1\oracle-driver-ojdbc6-12.1.0.1.jar"/>
    <context id="context" targetRuntime="MyBatis3">
        <commentGenerator>
            <property name="suppressAllComments" value="false"/>
            <property name="suppressDate" value="true"/>
        </commentGenerator>

        <!-- !!!! Database Configurations !!!!
        <jdbcConnection driverClass="oracle.jdbc.driver.OracleDriver" connectionURL="jdbc:oracle:thin:@192.168.3.245:1521:orclems1" userId="ag_shjjweb" password="ok"/>
      -->
        <jdbcConnection driverClass="oracle.jdbc.driver.OracleDriver"
                        connectionURL="jdbc:oracle:thin:@127.0.0.1:1521:orcl" userId="ag_dev2" password="ok"/>

        <!--<javaTypeResolver type="com.ag.util.MybatisTypconverter">-->
        <!--<javaTypeResolver type="com.ag.secp.platform.common.MyJavaTypeResolverDefaultImpl">-->
            <!--<property name="forceBigDecimals" value="false"/>-->
        <!--</javaTypeResolver>-->
        <!-- !!!! Model Configurations !!!!-->
        <javaModelGenerator targetPackage="com.ag.web.agdemo.pojo" targetProject="src/main/java">
            <property name="enableSubPackages" value="false"/>
            <property name="trimStrings" value="true"/>
        </javaModelGenerator>

        <!-- !!!! Mapper XML Configurations !!!! -->
        <sqlMapGenerator targetPackage="resources/agDemo" targetProject="src/main">
            <property name="enableSubPackages" value="false"/>
        </sqlMapGenerator>

        <!-- !!!! Mapper Interface Configurations !!!!
        <javaClientGenerator targetPackage="com.ag.secp.web.member.bank" targetProject="src/main/java" type="XMLMAPPER">
            <property name="enableSubPackages" value="false"/>
        </javaClientGenerator>-->

        <!-- !!!! Table Configurations !!!! -->
        <table tableName="WB_USER" domainObjectName="WbUser"
               enableCountByExample="false" enableDeleteByExample="false" enableSelectByExample="false"
               enableUpdateByExample="false"/>

    </context>
</generatorConfiguration>